<div id="basic-usage" class="getting-started-content">

    <section class="section-add-new-player section-full">
        <div class="col-description">
            <h2>Add New Player</h2>
            <p>
                To play a radio station, you need to add a new player. You can add a new player from the <a
                        href="<?php echo admin_url( 'admin.php?page=radio-player' ); ?>">Radio Player</a> page.
            </p>
            <p>
                From the Stations tab, you need to add the stations that you want to play in the player.
                You have to insert the name, stream URL, and logo image for the station.
                You can add multiple stations in the same
            </p>
            <p>
                Form the Player Skins tab, you can select the player skin from the available 10+ skins with different
                layouts and styles.
            </p>
            <p>
                From the Controls tab, you can show or hide the player controls like popup icon, playlist icon, volume
                icon, live/ offline player status, etc.
            </p>
            <p>
                From the appearance tab, you can customize the player appearance like player background color, player
                text color, player width, border radius, box shadow, etc.
            </p>
            <p>
                While you are editing the player, you can see the player preview in realtime in the preview section.
            </p>
            <p>
                Once you are done with the player settings, you can save the player and use it anywhere on your website.
            </p>
        </div>

        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/Kwa4Xcd_N_0?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

    <section class="section-display-player section-full">
        <div class="col-description">
            <h2>Display Radio Player</h2>
            <p>
                After adding a new player, you can display the player in your website in various ways.
            </p>

            <p>
                You can display the player anywhere using the <code>[radio_player id="player_id"]</code>
                shortcode.
            </p>
            <p>
                You have to use a valid player id in the shortcode id attribute to display the player.
                You will get the player id from the <code>Radio Player > All Players</code> page.
            </p>

            <p>
                You can also display the Radio Player in any page or post by using the Radio Player Gutenberg block and
                Elementor widget.
            </p>

            <p>
                For displaying the Radio Player using the Gutenberg block, you need to search and insert the Radio
                Player block in the page or post.
                In the Radio Player block, you have to select the player from the player list dropdown.
            </p>

            <p>
                For displaying the Radio Player using the Elementor widget, you need to search and insert the Radio
                Player widget in the page or post.
                In the Radio Player widget, you have to select the player from the player list dropdown.
            </p>

        </div>
        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/NTQmmAyIKeg?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

    <section class="section-display-sticky-player section-full">
        <div class="col-description">
            <h2>Display Sticky Player</h2>
            <p>
                This plugin provides a sticky player feature with multiple styles (Fullwidth, Mini-Fullwidth and
                Floating) that will be displayed at the bottom or top of the website in
                the all pages.
            </p>
            <p>
                For displaying the sticky player, you need to select the Player that you want to display as
                sticky player from the <code>Radio Player > Settings > Sticky Player Settings</code>.
            </p>

            <p>
                You can also display the sticky player only on specific pages. From the Exclude Pages settings, you
                can select the pages where you don't want to display the sticky player.
            </p>

        </div>
        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/8-kY840d6fQ?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

    <section class="section-play-http-streams section-full">
        <div class="col-description">
            <h2>Play HTTP Streams</h2>
            <p>
                Browsers no longer accepts mixed requests. It means you can't play an HTTP stream to an HTTPS
                website. In case you have a HTTPS website you’ll need to use an HTTPS radio link.
            </p>
            <p>
                This plugin provides a proxy system that allow you to play most of the HTTP streams in your HTTPS
                website.
            </p>
            <p>
                For playing HTTP streams, you need to enable the HTTP player from the <code>Radio Player > Settings >
                    HTTP Player Settings</code>.
            </p>
            <p>
                After activating the HTTP player, try now to play the HTTP station in the player.
            </p>
            <p>
                If the HTTP stream not playing even after enabling the HTTP Player, Copy the Proxy Link in the Proxy URL
                setting field.
            </p>

            <p>
                Sometimes, the proxy system may not work for some HTTP streams like .m3u8 HTTP streams.
            </p>

            <p>
                In that case, You have to use the Popup player feature of the plugin to play the HTTP streams.
                The popup player will try to open the player in the HTTP mode. For that the HTTP to HTTPS redirection
                must be disabled in your website.

            </p>
            <p>
                HTTP to HTTPS redirection can be enabled in various ways such as using the .htaccess file, using any SSL
                WordPress
                plugin, if you are using Cloudflare or also from the cPanel server settings.
                You have to disable the HTTP to HTTPS redirection for all the options.
            </p>

        </div>
        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/Qh3bHWUYR00?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

</div>