<?php

$faqs = [
	[
		'question' => __( 'Can I play HTTP stream on my HTTPS website?', 'radio-player' ),
		'answer'   => __( 'Browsers no longer accept mixed requests. That means you can\'t play an HTTP stream to an HTTPS
                    website. But, this plugin uses a proxy system to play most HTTP streams in your HTTPS website.', 'radio-player' ),
	],
	[
		'question' => __('Can I add and display multiple radio stations in the same player?', 'radio-player'),
		'answer'   => __('Yes, you can add and display multiple radio stations in the same player. While you create a new player, you can add multiple radio stations with Title, Stream URL and Image from the stations tab. They will display as stations playlist in the player.', 'radio-player'),
	],
	[
		'question' => __('How Can I display the sticky player?', 'radio-player'),
		'answer'   => __('To display the sticky player, you need to select the Player that you want to display as a sticky player from the <code>Radio Player > Sticky Player Settings</code>.', 'radio-player'),
	],
	[
		'question' => __('How Can I display the sticky player only on specific pages?', 'radio-player'),
		'answer'   => __('By default, the sticky player will be displayed on all pages. But, You can also show the sticky player only on specific pages by excluding the pages from the <code>Radio Player > Settings > Sticky Player Settings</code>.', 'radio-player'),
	],
	[
		'question' => __('How Can I display the Popup Player?', 'radio-player'),
		'answer'   => __('There is a popup icon option for the player. You can show/ hide the player\'s popup control, and when users click on it, The player will open within a new popup window.', 'radio-player'),
	],
	[
		'question' => __('Can I embed a radio player on another website?', 'radio-player'),
		'answer'   => __('Yes, you can embed a radio player on another website. You can find the embed code on the player listing page. Just click on the Embed button and copy the embed code. Then paste the embed code on any website.', 'radio-player'),
	],
];

?>

<div id="help" class="getting-started-content">

    <div class="content-heading">
        <h2><?php esc_html_e( 'Frequently Asked Questions', 'radio-player' ); ?></h2>
    </div>

    <section class="section-faq">
		<?php foreach ( $faqs as $faq ) : ?>
            <div class="faq-item">
                <div class="faq-header">
                    <i class="dashicons dashicons-arrow-down-alt2"></i>
                    <h3><?php echo $faq['question']; ?></h3>
                </div>

                <div class="faq-body">
                    <p><?php echo $faq['answer']; ?></p>
                </div>
            </div>
		<?php endforeach; ?>
    </section>

    <div class="content-heading">
        <h2><?php esc_html_e( 'Need Help?', 'radio-player' ); ?></h2>
        <p><?php esc_html_e( 'Read our knowledge base documentation or you can contact us directly.', 'radio-player' ); ?></p>
    </div>

    <div class="section-wrap">
        <section class="section-documentation section-half">
            <div class="col-image">
                <img src="<?php echo RADIO_PLAYER_ASSETS . '/images/getting-started/documentation.png' ?>"
                     alt="<?php esc_attr_e( 'Documentation', 'radio-player' ); ?>">
            </div>
            <div class="col-description">
                <h2><?php _e( 'Documentation', 'radio-player' ) ?></h2>
                <p>
					<?php esc_html_e( 'Check out our detailed online documentation and video tutorials to find out more about what you can
                    do.', 'radio-player' ); ?>
                </p>
                <a class="radio-player-btn" href="https://softlabbd.com/radio-player"
                   target="_blank"><?php esc_html_e( 'Documentation', 'radio-player' ); ?></a>
            </div>
        </section>

        <section class="section-contact section-half">
            <div class="col-image">
                <img src="<?php echo RADIO_PLAYER_ASSETS . '/images/getting-started/contact.png' ?>"
                     alt="<?php esc_attr_e( 'Contact', 'radio-player' ); ?>">
            </div>
            <div class="col-description">
                <h2><?php esc_html_e( 'Contact us', 'radio-player' ); ?></h2>
                <p><?php esc_html_e( 'We have dedicated support team to provide you fast, friendly & top-notch customer support.', 'radio-player' ); ?></p>
                <a class="radio-player-btn" href="https://softlabbd.com/contact-us" target="_blank">
					<?php esc_html_e( 'Contact us', 'radio-player' ); ?>
                </a>
            </div>
        </section>
    </div>

</div>

<script>
    jQuery(document).ready(function ($) {
        $('.faq-item .faq-header').on('click', function () {
            $(this).parent().toggleClass('active');
        });
    });
</script>